Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Class TCPIPServerBootstrapContext

    java.lang.Object
      com.stc.connector.tcpip.model.server.TCPIPServerBootstrapContext

All Implemented Interfaces:
  javax.resource.spi.BootstrapContext

    public class TCPIPServerBootstrapContext

extends java.lang.Object
implements javax.resource.spi.BootstrapContext

This class is not a full-featured BootstrapContext. It is ONLY used for my RA non-managed mode test.

Version:
  cvs revision: $Revision: 1.6 $ Last Modified: $Date: 2008/03/18 11:17:35 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPServerBootstrapContext(javax.resource.spi.work.WorkManager wm)` Constructor

Method Summary
`java.util.Timer` | `createTimer()` Creates a new Timer instance.
`javax.resource.spi.work.WorkManager` | `getWorkManager()` Provides a handle to a WorkManager instance.
`javax.resource.spi.XATerminator` | `getXATerminator()` Provides a handle to a XATerminator instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPServerBootstrapContext

    public TCPIPServerBootstrapContext(javax.resource.spi.work.WorkManager wm)

  Constructor

  Parameters:
    `wm` - WorkManager

Method Detail

### getWorkManager

    public javax.resource.spi.work.WorkManager getWorkManager()

  Provides a handle to a WorkManager instance. The WorkManager instance could be used by a resource adapter to do its work by submitting Work instances for execution.

  Specified by:
    `getWorkManager` in interface `javax.resource.spi.BootstrapContext`
  Returns:
    a WorkManager instance.
  See Also:
    `BootstrapContext.getWorkManager()`

### getXATerminator

    public javax.resource.spi.XATerminator getXATerminator()

  Provides a handle to a XATerminator instance. The XATerminator instance could be used by a resource adapter to flow-in transaction completion and crash recovery calls from an EIS.

  Specified by:
    `getXATerminator` in interface `javax.resource.spi.BootstrapContext`
  Returns:
    a XATerminator instance.
  See Also:
    `BootstrapContext.getXATerminator()`

### createTimer

    public java.util.Timer createTimer()

  Creates a new Timer instance. The Timer instance could be used to perform periodic Work executions or other tasks.

  Specified by:
    `createTimer` in interface `javax.resource.spi.BootstrapContext`
  Returns:
    a Timer instance.
  See Also:
    `BootstrapContext.createTimer()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD